  function pval = HornerV(a,z)
%
% Pre:
%    a:   a column n-vector.
%    z:   a column m-vector.
%
% Post:
%    pval: a column m-vector with the property that if
%          p(x) = a(1) + .. +a(n)x^(n-1), then
%          pval(i) = p(z(i)) for i=1:m.
% 
     n = length(a); 
	 m = length(z);
     pval = a(n)*ones(m,1);
     for k=n-1:-1:1
         pval = z.*pval + a(k);
     end
