   function fA = SetUp(fname,a,b,n,c,d,m)
%
% Pre:
%  fname: string that names a valid function.
%  a,b: scalars that satisfy a<=b
%  c,d: scalars that satisfy c<=d
%  n,m:   integers >=2.
%
% Post:
%  fA:     an n-by-m matrix with the property that
%         A(i,j) = f(a+(i-1)(b-a)/(n-1),c+(j-1)(d-c)/(m-1))
%         where f is the function named by fname.. 
%
%
   x = linspace(a,b,n);
   y = linspace(c,d,m);
   fA = zeros(n,m);
   for i=1:n
      for j=1:m
	     fA(i,j) = feval(fname,x(i),y(j));
	  end
   end
