  function [a,b] = pwL(x,y)
% 
% Pre:
%   x   column n-vector with x(1) < x(2) < ... < x(n)
%   y   column n-vector.
%
% Post:
%  a,b  column (n-1)-vectors with the property that the
%       line L(z) = a(i) + b(i)z passes though the points
%       (x(i),y(i)) and (x(i+1),y(i+1)).
%
  n = length(x); 
  a = y(1:n-1);
  b = diff(y) ./ diff(x);

