  function numI = QGL(fname,a,b,m)
%
% Pre:
%   fname    string that names an available function of the
%            form f(x) that is defined on [a,b]. f should
%            return a column vector if x is a column vector.
%     a,b    real scalars 
%       m    integer that satisfies 2 <= m <=6
% Post:
%    numI    the m-point Gauss-Legendre approximation of the 
%            integral of f(x) from a to b.
%
   [w,x] = WGL(m);
   fvals = feval(fname,((b-a)/2)*x + ((a+b)/2)*ones(m,1));
   numI = ((b-a)/2)*w'*fvals;
