  function C = MatMatDot(A,B)
%
% Pre:
%    A     m-by-p matrix.
%    B     p-by-n matrix
%
% Post:
%    C     A*B (Dot Product Version)
%
   [m,p] = size(A);
   [p,n] = size(B);
   C = zeros(m,n);
   for j=1:n
      % Compute j-th column of C.
      for i=1:m
        C(i,j) = A(i,:)*B(:,j);
	  end
   end;
