  function C = MatMatOuter(A,B)
%
% Pre:
%    A     m-by-p matrix.
%    B     p-by-n matrix
%
% Post:
%    C     A*B (Outer Product Version)
%
   [m,p] = size(A);
   [p,n] = size(B);
   C = zeros(m,n);
   for k=1:p
      % Add in k-th outer product
      C = C + A(:,k)*B(k,:);
   end;
