  function C = MatMatVec(A,B)
%
% Pre:
%    A     m-by-p matrix.
%    B     p-by-n matrix
%
% Post:
%    C     A*B (Matrix-Vector Version)
%
   [m,p] = size(A);
   [p,n] = size(B);
   C = zeros(m,n);
   for j=1:n
      % Compute j-th column of C.
      C(:,j) = C(:,j) + A*B(:,j);
   end;
