  function C = Prod3Digit(A,B)
%
% Pre:
%      A and B are matrices and the product A*B is defined.
%
% Post:
%      C is the 3-digit product of A and B.
%

   [m,p] = size(A);
   [p,n] = size(B);
   C = zeros(m,n);
   for i=1:m
      for j=1:n
	     s = represent(0);
	     for k=1:p
		    aik = represent(A(i,k));
			bkj = represent(B(k,j));
	        s   = float(s,float(aik,bkj,'*'),'+');
	     end
		 C(i,j) = convert(s);
      end
   end
