  function x = LBidiSol(l,b)
%
% Pre:
%    l  n-vector that defines the lower bidiagonal matrix
%       L = I + diag(l(2:n),-1).
%    b  n-vector
%
% Post:
%    x  n-vector that solves Lx = b

   n = length(b); 
   x = zeros(n,1);
   x(1) = b(1);
   for i=2:n
      x(i) = b(i) - l(i)*x(i-1);
   end
